Subject: [lamps] new document draft-richardson-lamps-rfc7030-csrattrs-00.txt

From: Michael Richardson <[email-masked]>
Date: Mon, 25 Oct 2021 12:00:05 -0400

As agreed at the late August virtual interim, an initial -00/-01 drafty draft has
been posted to the DT.  The only difference between -00 and -01 is fixing
some non-breaking spaces that got into a code display.

There are two options in the document right now.  I think that we tending
towards option two, although it has less formalism so far.

Option two has a display that actually contains the core of the proposal:

     OBJECT challengePassword
     SEQUENCE
       OBJECT subjectAltName
       SET
         OBJECT someACPgoo
     SEQUENCE
       OBJECT id-ecPublicKey
       SET
         OBJECT secp384r1
         OBJECT ecdsa-with-SHA384

That places were we want to put a value would simply have a SEQ with a attribute/set-of-values.
That's what *I* had understood from the ASN.1.

My view is that at this point that we just need to fix the ASN.1 to reflect
this possibility.  I don't really know how to do that.

There are some private threads among the authors, but it's time to have the
discussion on the list.

Name:		draft-richardson-lamps-rfc7030-csrattrs
Revision:	01
Title:		Clarification of RFC7030 CSR Attributes definition
Document date:	2021-10-25
Group:		Individual Submission
Pages:		7
URL:            https://www.ietf.org/archive/id/draft-richardson-lamps-rfc7030-csrattrs-01.txt
Status:         https://datatracker.ietf.org/doc/draft-richardson-lamps-rfc7030-csrattrs/
Html:           https://www.ietf.org/archive/id/draft-richardson-lamps-rfc7030-csrattrs-01.html
Htmlized:       https://datatracker.ietf.org/doc/html/draft-richardson-lamps-rfc7030-csrattrs

Abstract:
   Enrollment over Secure Transport (EST) is ambiguous in specification
   of the CSR Attributes Response.  This has resulted in implementation
   challenges and implementor confusion.  This document updates EST and
   clarifies how the CSR Attributes Response can be used by an EST
   server to specify both CSR attribute OIDs and also CSR attribute
   values that the server expects the client to include in its CSR
   request.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide